QGIS Application - Bug report #7437

changeAttributeValue: decimal values are not written if not rounded

2013-03-25 07:54 AM - Denis Rouzaud

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16398

Description

Via python, | try to update layer decimal values using
vectorLayer.changeAttributeValue

and
vectorLayer.dataProvider().changeAttributeValues

My field in postgres is type decimal(10,3).

If not priory rounded, a value is written as 0 and both methods return true.

History

#1 - 2013-03-25 08:00 AM - Denis Rouzaud

Also, | tried with or without QVariant, it does not change anything:
vectorLayer.changeAttributeValue( f.id(), fieldldx, value )
vectorLayer.changeAttributeValue( f.id(), fieldldx, QVariant(value) )

#2 - 2013-03-25 08:10 AM - Denis Rouzaud
- Status changed from Open to Closed

my fault, my value was of type numpy.float64, and it QVariant can't convert it to float.

2024-04-09

1/1




